(* Neue Jahres-Wetterdatei anlegen

    2007-2023 J. Rathlev 24222 Schwentinental
      Web:  www.rathlev-home.de
      Mail: kontakt(a)rathlev-home.de

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.
   *)

unit Wetneu;

interface

uses Winapi.Windows, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Forms,
  Vcl.Controls, Vcl.Buttons, Vcl.StdCtrls, Vcl.ExtCtrls, WetEdit;

type
  TNeueingabe = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Bevel1: TBevel;
    EditJahr: TEdit;
    Label1: TLabel;
    procedure NeuExit(Sender: TObject);
    procedure NeuAbbruch(Sender: TObject);
    procedure InitJahr(Sender: TObject);
    procedure EditJahrExit(Sender: TObject);
    procedure EditJahrKey(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    Jahr :  word;
  public
    { Public declarations }
    function GetJahr (NJahr : word): word;
  end;

var
  Neueingabe: TNeueingabe;

implementation

{$R *.DFM}

function TNeueingabe.GetJahr;
begin
  Jahr:=NJahr;
  if ShowModal=mrOK then GetJahr:=Jahr else GetJahr:=0;
  end;

procedure TNeueingabe.NeuExit(Sender: TObject);
begin
  ModalResult:=mrOK;
end;

procedure TNeueingabe.NeuAbbruch(Sender: TObject);
begin
  ModalResult:=mrCancel;
end;

procedure TNeueingabe.InitJahr(Sender: TObject);
begin
  with EditJahr do begin
    Text:=IntToStr(Jahr); 
    end;
end;

procedure TNeueingabe.EditJahrExit(Sender: TObject);
var
  i,j : integer;
begin
  with EditJahr do begin
    val(Text,j,i);
    if i=0 then begin
      Jahr:=j; OKBtn.SetFocus;
      end
    else begin
      EingabeFehler; SetFocus;
      end;
    end;
end;

procedure TNeueingabe.EditJahrKey(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key=VK_RETURN) then EditJahrExit(Sender);
end;

end.
